from setuptools import setup, find_packages

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(
    name='placeholders',
    version='2.1',
    description='Create placeholder images by embedding keywords into regular jpg images.',
    long_description=long_description,
    long_description_content_type="text/markdown",
    author='Austin Brown',
    author_email='austinbrown34@gmail.com',
    url='https://github.com/austinbrown34/placeholders',
    keywords=['image', 'exif', 'jpg'],
    packages=find_packages(),
    scripts=['scripts/placeholders'],
    install_requires=[
        "awscli==1.27.41",
        "boto3==1.26.118",
        "botocore==1.29.118",
        "certifi==2022.12.7",
        "charset-normalizer==3.1.0",
        "click==8.1.3",
        "docutils==0.16",
        "fdfgen==0.16.1",
        "idna==3.4",
        "jmespath==1.0.1",
        "lxml==4.9.2",
        "pdfminer==20191125",
        "piexif==1.1.3",
        "Pillow==9.5.0",
        "pyasn1==0.4.8",
        "pycryptodome==3.17",
        "pydantic==1.10.7",
        "PyPDF2==3.0.1",
        "python-dateutil==2.8.2",
        "python-magic==0.4.27",
        "PyYAML==6.0",
        "reportlab==3.6.12",
        "requests==2.28.2",
        "rsa==4.7.2",
        "s3transfer==0.6.0",
        "services==0.1.1",
        "six==1.16.0",
        "typing_extensions==4.5.0",
        "urllib3==1.26.15"
    ],
    include_package_data=True,
)
